import React from "react";
import Modal from "../../components/ui/Modal.jsx";
import { useGame } from "../../hooks/useGame.jsx";
import TestAnimation from "../../components/animations/test.jsx";

export default function Tutorial() {
	const { hasCheckedTutorial, setHasCheckedTutorial, setIsTimeRuning } = useGame();
	return (
		<div>
			<Modal
				open={!hasCheckedTutorial}
				onClose={() => {
					setHasCheckedTutorial(true);
					setIsTimeRuning(true);
				}}>
				Tutorial
				<TestAnimation />
			</Modal>
		</div>
	);
}
